Toggle menu
Toggle personal menu
Not logged in
Your IP address will be publicly visible if you make any edits.

Template:LinkIcon/styles.css: Difference between revisions

Template page
(Created page with ".profile-iconbox { position: relative; background: var( --color-surface-1 ); border-radius: 8px; box-shadow: 0 3px 6px rgba( 0, 0, 0, 0.04 ), 0 3px 6px rgba( 0, 0, 0, 0.0575 ); font-size: 0.875rem; overflow: hidden; width: fit-content; }")
 
No edit summary
Line 7: Line 7:
overflow: hidden;
overflow: hidden;
     width: fit-content;
     width: fit-content;
}
.profile-iconbox .home-card__background a {
display: block;
height: 100%;
}
.profile-iconbox .home-card__background:after {
position: absolute;
pointer-events: none;
right: 0;
bottom: 0;
left: 0;
display: block;
height: 60%;
background: linear-gradient( to top, #000, transparent );
border-radius: 0 0 8px 8px;
content: '';
}
.profile-iconbox .home-card__foreground {
pointer-events: none;
right: 15px;
bottom: 15px;
left: 15px;
}
.profile-iconbox a img.thumbimage:hover,.profile-iconbox a img:hover {
    transform: scale(1.1);
transition: transform 250ms cubic-bezier(0.215,0.61,0.355,1);
}
.profile-iconbox a img.thumbimage, .profile-iconbox a img {
transition: transform 250ms cubic-bezier(0.215,0.61,0.355,1);
}
}

Revision as of 19:22, 23 April 2023

.profile-iconbox {
	position: relative;
	background: var( --color-surface-1 );
	border-radius: 8px;
	box-shadow: 0 3px 6px rgba( 0, 0, 0, 0.04 ), 0 3px 6px rgba( 0, 0, 0, 0.0575 );
	font-size: 0.875rem;
	overflow: hidden;
    width: fit-content;
}


.profile-iconbox .home-card__background a {
	display: block;
	height: 100%;
}

.profile-iconbox .home-card__background:after {
	position: absolute;
	pointer-events: none;
	right: 0;
	bottom: 0;
	left: 0;
	display: block;
	height: 60%;
	background: linear-gradient( to top, #000, transparent );
	border-radius: 0 0 8px 8px;
	content: '';
}

.profile-iconbox .home-card__foreground {
	pointer-events: none;
	right: 15px;
	bottom: 15px;
	left: 15px;
}

.profile-iconbox a img.thumbimage:hover,.profile-iconbox a img:hover {
    transform: scale(1.1);
	transition: transform 250ms cubic-bezier(0.215,0.61,0.355,1);
}

.profile-iconbox a img.thumbimage, .profile-iconbox a img {
	transition: transform 250ms cubic-bezier(0.215,0.61,0.355,1);
}